#include <stdio.h>
#include <stdlib.h>

#include "volterra.h"

int main(int argc, char *argv[])
{
  
  int Pmax=12, Mmax=11, Cmax = 454, P, M;
  
  int *C  = calloc(Pmax+1,sizeof(int));
  int *m  = calloc(Pmax+1,sizeof(int));
  
  volterraGenerateDirect1Loop(Pmax);
  volterraGenerateDirect2Loop(Pmax);  
  volterraGenerateReuseLoop(Pmax);
  volterraGenerateHornerLoop(Pmax);  
  
  for (M=0; M<=Mmax; M++) {
    volterraSize(Pmax,M,C);
    for (P=1; P<Pmax; P++) {
      if (C[P+1] > Cmax) {
        break;
      }
    }
    volterraGenerateDirect1Hard(P, M, C, m);    
    volterraGenerateDirect2Hard(P, M, m);    
    volterraGenerateReuseHard(P, M, C, m);
    volterraGenerateHornerHard(P, M, C, m);
  }
  
  getchar();
  return 0;
  
}
