#ifndef INCLUDE_VOLTERRA_RUN
#define INCLUDE_VOLTERRA_RUN

#include <stdio.h>

#include "volterra.h"

// volterra_eval.c
void generateRandomSamples(smp *x, int N);
void volterraEvalInit(int P, int M, int N);
void volterraEvalRun(int P, int M, int N, int R);
void volterraEvalPrintSignals(int N);
void volterraEvalPrintRuntimeHeader(int Pmin, int Pmax, int Mmin, int Mmax);
void volterraEvalPrintRuntime(int P, int M);
void volterraEvalStoreRuntime(int P, int M, FILE *fp);

#endif
